// MainFrame.cpp
#include "MainFrame.h"

#define IDC_BTN_MOVER	300

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_BTN_MOVER, OnClickBtnMover)
END_MESSAGE_MAP()

CMainFrame::CMainFrame()
{
	Create(NULL, "Tela de desenhos", WS_OVERLAPPEDWINDOW, CRect(CPoint(50, 50), CSize(500, 500)));

	btnMover.Create("Mover", WS_CHILD | WS_VISIBLE | BS_DEFPUSHBUTTON,
		CRect(CPoint(350, 400), CSize(100, 30)), this, IDC_BTN_MOVER);

	valor_aumentar = 0;
}

CMainFrame::~CMainFrame()
{	}

void CMainFrame::OnPaint()
{
	CPaintDC dc( this );

	int x, y;
	x = 10;
	y = 10 + valor_aumentar;
	dc.Ellipse(x, y, x+50, y+50);		// desenha uma elipse;

	x += 100;
	dc.MoveTo(x, y);					// move para uma posio da tela;
	dc.LineTo(x+50, y);					// desenha uma reta;

	x += 100;
	dc.Rectangle(x, y, x+50, y+60);		// desenha um retngulo;
}

void CMainFrame::OnClickBtnMover()
{
	// incrementa um valor para a posio y dos desenhos;
	valor_aumentar += 10;
	// repinta a tela;
	this->RedrawWindow();
}
