#ifndef _PRINCIPAL_H_
#define _PRINCIPAL_H_

#include "Professor.h"
#include "Universidade.h"
#include "Departamento.h"
#include "Disciplina.h"
#include "Aluno.h"
#include "Estagiario.h"

class Principal
{
 private:

    // Contadores para identificadores;
	//int cont_idDisc;
	int cont_idDepart;
	//int cont_idAluno;

    // Universidades
    Universidade UTFPR;
    Universidade Princeton;
    Universidade Cambridge;

    // Departamentos
    Departamento EletronicaUTFPR;
    Departamento MatematicaUTFPR;
    Departamento FisicaUTFPR;

    Departamento MatematicaPrinceton;
    Departamento FisicaPrinceton;

    Departamento MatematicaCambridge;
    Departamento FisicaCambridge;

    // Professores
    //Professor	Simao;
    //Professor	Einstein;
    //Professor	Newton;

    // Disciplinas
    //Disciplina	Computacao1_2006;
    //Disciplina	Introd_Alg_2007;
    //Disciplina	Computacao2_2007;
    // Disciplina	Metodos2_2007;    
	
	// Alunos
    //Aluno		AAA;
    //Aluno		BBB;
    //Aluno		CCC;
    //Aluno		DDD;
    //Aluno		EEE;

	//Estagiario  Fulano;
	//Estagiario  Ciclano;

    int			diaAtual;
    int			mesAtual;
    int			anoAtual;

public:

	list<Universidade*>	LUniversidades;
	list<Departamento*>	LDepartamentos;
	//std::list<Disciplina*>	LDisciplinas;
	//std::list<Aluno*>			LAlunos;
	//std::list<Pessoa*>		LPessoas;

	list<Universidade*>::iterator	IteradorLUniversidades;
	list<Departamento*>::iterator	IteradorLDepartamentos;
	//std::list<Disciplina*>::iterator	IteradorLDisciplinas;
	//std::list<Aluno*>::iterator			IteradorLAlunos;
	//std::list<Pessoa*>::iterator		IteradorLPessoas;

  

    Principal ( int dia = 0, int mes = 0, int ano = 0);

    // Inicializaes...
    void Inicializa();
    void InicializaUnivesidades();
    void InicializaDepartamentos();
    //void InicializaProfessores();
    //void InicializaAlunos();
    //void InicializaDisciplinas();
	//void InicializaEstagiarios();

    //void Executar();
    
    //void CalcIdadeProfs();
    //void UnivOndeProfsTrabalham();
    //void DepOndeProfsTrabalham();
	//void ListeDiscDeptos ( );
	//void ListeAlunosDisc();
	//void ListeProventosPessoas();

	//void CadDisciplina();
	//void CadDepartamento();
	void CadUniversidade(string nomeUniversidade);
	//void CadAluno();

	//void GravarTudo();
	//void GravarUniversidades();
	//void GravarDepartamentos();
	//void GravarDisciplinas();
	//void GravarAlunos();
	//void GravarProfessores();

	//void RecuperarTudo();
	//void RecuperarUniversidades();
	//void RecuperarDepartamentos();
	//void RecuperarDisciplinas();
	//void RecuperarAlunos();
	//void RecuperarProfessores();

	//void MenuCad();
	//void MenuExe();
	//void MenuGravar();
	//void MenuRecuperar();
	//void Menu();

};

#endif
